unit uForm;

interface

uses
   Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  LangValue, VisualValue, ClassValue, ValueUtils, VarLangValue, LangProc;

type
  TData = class(TDataModule)
    FormClass: TClassValue;
    CreateProc: TLangProc;
    ShowProc: TLangProc;
    procedure CreateProcExec(Sender: TVisualValue; S: IValStack;
      MustReturn: Boolean);
    procedure ShowProcExec(Sender: TVisualValue; S: IValStack;
      MustReturn: Boolean);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Data: TData;

implementation

{$R *.DFM}

procedure TData.CreateProcExec(Sender: TVisualValue; S: IValStack;
  MustReturn: Boolean);
begin
  SetObjectOf(Sender,TForm.Create(nil));
  MustReturn:= true;
  (GetObjectOf(Sender) as TForm).ShowModal;
  S.DropFrame;
  ReturnTrue(S,MustReturn);


end;

procedure TData.ShowProcExec(Sender: TVisualValue; S: IValStack;
  MustReturn: Boolean);
 Var I:Integer;
              str:string;
              Res:TVarLangValue;
          begin
            str:='';
            for i:=0 to S.FrameCount-1 do
            begin
              str:=str+s.FrameValues[i].AsString;
            end;
            S.DropFrame;
            if MustReturn then
            begin
              Res:=TVarLangValue.Create(nil);
              Res.AsBoolean:=true;
              S.Push(Res);
            end;
            MessageDlg(str,mtInformation,[mbOk],0);
       // Show a message: example: Show('This is a test');
          end;

end.
